org.apache.uima.ruta.example.extensions

## Class ExampleBlock

- java.lang.Object
- - org.apache.uima.ruta.RutaElement
  - - org.apache.uima.ruta.RutaStatement
    - - org.apache.uima.ruta.block.RutaBlock
      - - org.apache.uima.ruta.example.extensions.ExampleBlock

-     public class ExampleBlock
      extends org.apache.uima.ruta.block.RutaBlock

  Exemplary implementation of a block extension, which applied its rules in reverse order.

- - ### Field Summary

    - ### Fields inherited from class org.apache.uima.ruta.block.RutaBlock

      `context, elements, environment, name, rule`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleBlock(org.apache.uima.ruta.block.RutaBlock parent, String defaultNamespace)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.uima.ruta.ScriptApply` | `apply(org.apache.uima.ruta.RutaStream stream, org.apache.uima.ruta.visitor.InferenceCrowd crowd)`

    - ### Methods inherited from class org.apache.uima.ruta.block.RutaBlock

      `getContext, getElements, getEnvironment, getName, getNamespace, getRule, getScript, setContext, setElements, setRule, setScript`

    - ### Methods inherited from class org.apache.uima.ruta.RutaStatement

      `getParent, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleBlock

          public ExampleBlock(org.apache.uima.ruta.block.RutaBlock parent,
                              String defaultNamespace)

  - ### Method Detail

    - #### apply

          public org.apache.uima.ruta.ScriptApply apply(org.apache.uima.ruta.RutaStream stream,
                                                        org.apache.uima.ruta.visitor.InferenceCrowd crowd)

      Specified by:
        `apply` in class `org.apache.uima.ruta.RutaStatement`

Copyright © 2011–2022 The Apache Software Foundation. All rights reserved.